//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MixKeyClrDlgs.h"
#include "HelpDlgs.h"
#include "fileman.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMixKeyClrDlg *MixKeyClrDlg;
//---------------------------------------------------------------------------
bool __fastcall MixClearKeyring(TForm *Owner, bool &clearall)
{
   MixKeyClrDlg = new TMixKeyClrDlg(Owner);
   MixKeyClrDlg->ShowModal();
   bool ok = MixKeyClrDlg->ModalResult==mrOk;
   clearall = !MixKeyClrDlg->DisabledBox->Checked;
   delete MixKeyClrDlg;
   return ok;
}
//---------------------------------------------------------------------------
__fastcall TMixKeyClrDlg::TMixKeyClrDlg(TComponent* Owner)
  : TForm(Owner)
{
   DisabledBox->Checked = GetAppIni(MixKeepDisabled,"1")=="1";
   CenterDialog(this,(TForm*)Owner);
   MyBeep(0);
}
//---------------------------------------------------------------------------
void __fastcall TMixKeyClrDlg::DisabledBoxClick(TObject *Sender)
{
   PutAppIni(MixKeepDisabled,DisabledBox->Checked?"1":"0");
}
//---------------------------------------------------------------------------
void __fastcall TMixKeyClrDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("RemailerKeyrings","Clearing Keyrings","Clear Keyring");
}
//---------------------------------------------------------------------------
