# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QS.exe
OBJFILES = QS.obj MainMDI.obj TextWins.obj NoteWins.obj FileWin.obj RptWin.obj \
   MsgWins.obj MsgInWin.obj PGPpassEx.obj PackDlg.obj PrintDlgs.obj SmtpDlgs.obj \
   AddressDlgs.obj OldOpenDlg.obj AboutDlgs.obj SaveDlg.obj GetStrtDlg.obj \
   WaitDlg.obj DelGrpsDlg.obj ClipReply.obj DirBrow.obj RemailerDlgs.obj \
   HttpProxyDlgs.obj UrlsDlgs.obj NewNameDlgs.obj MixmastDlg.obj MixInstDlg.obj \
   UPDUnzipDlg.obj UPDateDlg.obj UPDedDlg.obj UPDFtpDlg.obj OpenDlgs.obj \
   MailboxDlgs.obj AddrEditDlgs.obj OptionsDlgs.obj HelpDlgs.obj \
   HelpTopicsDlgs.obj DocMsgDlg.obj DelDocsDlg.obj View.obj UseLibDlg.obj \
   PickBoxDlgs.obj QueueDlgs.obj WelcomeDlgs.obj FirstDocsDlgs.obj \
   PgpKeyImpDlgs.obj PgpKeyWins.obj QSMsgBoxDlgs.obj FindDlgs.obj MailboxWins.obj \
   PgpKeyGenDlgs.obj PgpKeyDelDlgs.obj PgpKeyExpDlgs.obj PgpKeyGenDoDlgs.obj \
   PgpKeyGenDoThrds.obj Mixmaster.obj FileMan.obj Fmxutils.obj MimeMan.obj \
   QSver.obj Global.obj HeadMan.obj Console.obj pop3mail.obj nymmail.obj \
   MixMsg.obj pgpmail.obj PgpFiles.obj Cyberpunk.obj PgpSdk.obj PGPbuffers.obj \
   Pool.obj WipeDlgs.obj Pgp6NoQSDlgs.obj BetaTestDlgs.obj Follow2PostDlgs.obj \
   SecUrgentDlgs.obj SMTPAuthDlgs.obj SMTPPassDlgs.obj CpkKeyWins1.obj \
   CpkKeyClrDlgs.obj CpkKeyDelDlgs.obj CpkKeyImptDlgs1.obj MixProbExpDlgs.obj \
   KeyringWins.obj KeyringClrDlgs.obj KeyringDelDlgs.obj MixKeyWins2.obj \
   MixKeyImpDlgs.obj MixProbWins2.obj ImageMods.obj DefChainsDlgs.obj \
   InfoTestManDlgs.obj
RESFILES = QS.res
RESDEPEN = $(RESFILES) MainMDI.dfm TextWins.dfm NoteWins.dfm FileWin.dfm \
   RptWin.dfm MsgWins.dfm MsgInWin.dfm PGPpassEx.dfm PackDlg.dfm PrintDlgs.dfm \
   SmtpDlgs.dfm AddressDlgs.dfm OldOpenDlg.dfm AboutDlgs.dfm SaveDlg.dfm \
   GetStrtDlg.dfm WaitDlg.dfm DelGrpsDlg.dfm ClipReply.dfm DirBrow.dfm \
   RemailerDlgs.dfm HttpProxyDlgs.dfm UrlsDlgs.dfm NewNameDlgs.dfm MixmastDlg.dfm \
   MixInstDlg.dfm UPDUnzipDlg.dfm UPDateDlg.dfm UPDedDlg.dfm UPDFtpDlg.dfm \
   OpenDlgs.dfm MailboxDlgs.dfm AddrEditDlgs.dfm OptionsDlgs.dfm HelpDlgs.dfm \
   HelpTopicsDlgs.dfm DocMsgDlg.dfm DelDocsDlg.dfm View.dfm UseLibDlg.dfm \
   PickBoxDlgs.dfm QueueDlgs.dfm WelcomeDlgs.dfm FirstDocsDlgs.dfm \
   PgpKeyImpDlgs.dfm PgpKeyWins.dfm QSMsgBoxDlgs.dfm FindDlgs.dfm MailboxWins.dfm \
   PgpKeyGenDlgs.dfm PgpKeyDelDlgs.dfm PgpKeyExpDlgs.dfm PgpKeyGenDoDlgs.dfm \
   WipeDlgs.dfm Pgp6NoQSDlgs.dfm BetaTestDlgs.dfm Follow2PostDlgs.dfm \
   SecUrgentDlgs.dfm SMTPAuthDlgs.dfm SMTPPassDlgs.dfm CpkKeyWins1.dfm \
   CpkKeyClrDlgs.dfm CpkKeyDelDlgs.dfm CpkKeyImptDlgs1.dfm MixProbExpDlgs.dfm \
   KeyringWins.dfm KeyringClrDlgs.dfm KeyringDelDlgs.dfm MixKeyWins2.dfm \
   MixKeyImpDlgs.dfm MixProbWins2.dfm ImageMods.dfm DefChainsDlgs.dfm \
   InfoTestManDlgs.dfm
LIBFILES = zlib.LIB
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -DPGP_WIN32 \
   -I$(BCB)\projects\mimetest;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdParty\ics\delphi\vc32;$(BCB)\3rdParty\PgpSdk\1.7.8\headers;$(BCB)\3rdParty\ExplBtn \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DPGP_WIN32 \
   -U$(BCB)\projects\mimetest;$(BCB)\lib;$(BCB)\lib\obj;$(BCB)\3rdParty\ICS\delphi\vc32;$(BCB)\3rdParty\PgpSdk\1.7.8;$(BCB)\3rdParty\ExplBtn \
   -I$(BCB)\projects\mimetest;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdParty\ics\delphi\vc32;$(BCB)\3rdParty\PgpSdk\1.7.8\headers;$(BCB)\3rdParty\ExplBtn \
   -W -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -DPGP_WIN32 \
   -i$(BCB)\projects\mimetest;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdParty\ics\delphi\vc32;$(BCB)\3rdParty\PgpSdk\1.7.8\headers;$(BCB)\3rdParty\ExplBtn 
LFLAGS = -L$(BCB)\projects\mimetest;$(BCB)\lib;$(BCB)\lib\obj;$(BCB)\3rdParty\ICS\delphi\vc32;$(BCB)\3rdParty\PgpSdk\1.7.8;$(BCB)\3rdParty\ExplBtn \
   -S:0x7530 -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

